Back to index

python3.2  3.2.2
Public Member Functions
test.test_call.CFunctionCalls Class Reference

List of all members.

Public Member Functions

def test_varargs0
def test_varargs1
def test_varargs2
def test_varargs0_ext
def test_varargs1_ext
def test_varargs2_ext
def test_varargs0_kw
def test_varargs1_kw
def test_varargs2_kw
def test_oldargs0_0
def test_oldargs0_1
def test_oldargs0_2
def test_oldargs0_0_ext
def test_oldargs0_1_ext
def test_oldargs0_2_ext
def test_oldargs0_0_kw
def test_oldargs0_1_kw
def test_oldargs0_2_kw
def test_oldargs1_0
def test_oldargs1_1
def test_oldargs1_2
def test_oldargs1_0_ext
def test_oldargs1_1_ext
def test_oldargs1_2_ext
def test_oldargs1_0_kw
def test_oldargs1_1_kw
def test_oldargs1_2_kw

Detailed Description

Definition at line 9 of file test_call.py.


Member Function Documentation

Definition at line 46 of file test_call.py.

00046 
00047     def test_oldargs0_0(self):
00048         {}.keys()

Here is the call graph for this function:

Definition at line 55 of file test_call.py.

00055 
00056     def test_oldargs0_0_ext(self):
00057         {}.keys(*())

Here is the call graph for this function:

Definition at line 74 of file test_call.py.

00074 
00075     def test_oldargs0_0_kw(self):
00076         try:
00077             {}.keys(x=2)
00078         except TypeError:
00079             pass
00080         else:
00081             raise RuntimeError

Here is the call graph for this function:

Definition at line 49 of file test_call.py.

00049 
00050     def test_oldargs0_1(self):
00051         self.assertRaises(TypeError, {}.keys, 0)

Here is the call graph for this function:

Definition at line 58 of file test_call.py.

00058 
00059     def test_oldargs0_1_ext(self):
00060         try:
00061             {}.keys(*(0,))
00062         except TypeError:
00063             pass
00064         else:
00065             raise RuntimeError

Here is the call graph for this function:

Definition at line 82 of file test_call.py.

00082 
00083     def test_oldargs0_1_kw(self):
00084         self.assertRaises(TypeError, {}.keys, x=2)

Here is the call graph for this function:

Definition at line 52 of file test_call.py.

00052 
00053     def test_oldargs0_2(self):
00054         self.assertRaises(TypeError, {}.keys, 0, 1)

Here is the call graph for this function:

Definition at line 66 of file test_call.py.

00066 
00067     def test_oldargs0_2_ext(self):
00068         try:
00069             {}.keys(*(1, 2))
00070         except TypeError:
00071             pass
00072         else:
00073             raise RuntimeError

Here is the call graph for this function:

Definition at line 85 of file test_call.py.

00085 
00086     def test_oldargs0_2_kw(self):
00087         self.assertRaises(TypeError, {}.keys, x=2, y=2)

Here is the call graph for this function:

Definition at line 88 of file test_call.py.

00088 
00089     def test_oldargs1_0(self):
00090         self.assertRaises(TypeError, [].count)

Here is the call graph for this function:

Definition at line 97 of file test_call.py.

00097 
00098     def test_oldargs1_0_ext(self):
00099         try:
00100             [].count(*())
00101         except TypeError:
00102             pass
00103         else:
00104             raise RuntimeError

Definition at line 116 of file test_call.py.

00116 
00117     def test_oldargs1_0_kw(self):
00118         self.assertRaises(TypeError, [].count, x=2)

Here is the call graph for this function:

Definition at line 91 of file test_call.py.

00091 
00092     def test_oldargs1_1(self):
00093         [].count(1)

Definition at line 105 of file test_call.py.

00105 
00106     def test_oldargs1_1_ext(self):
00107         [].count(*(1,))

Definition at line 119 of file test_call.py.

00119 
00120     def test_oldargs1_1_kw(self):
00121         self.assertRaises(TypeError, [].count, {}, x=2)

Here is the call graph for this function:

Definition at line 94 of file test_call.py.

00094 
00095     def test_oldargs1_2(self):
00096         self.assertRaises(TypeError, [].count, 1, 2)

Here is the call graph for this function:

Definition at line 108 of file test_call.py.

00108 
00109     def test_oldargs1_2_ext(self):
00110         try:
00111             [].count(*(1, 2))
00112         except TypeError:
00113             pass
00114         else:
00115             raise RuntimeError

Definition at line 122 of file test_call.py.

00122 
00123     def test_oldargs1_2_kw(self):
00124         self.assertRaises(TypeError, [].count, x=2, y=2)
00125 

Here is the call graph for this function:

Definition at line 11 of file test_call.py.

00011 
00012     def test_varargs0(self):
00013         self.assertRaises(TypeError, {}.__contains__)

Here is the call graph for this function:

Definition at line 20 of file test_call.py.

00020 
00021     def test_varargs0_ext(self):
00022         try:
00023             {}.__contains__(*())
00024         except TypeError:
00025             pass

Definition at line 37 of file test_call.py.

00037 
00038     def test_varargs0_kw(self):
00039         self.assertRaises(TypeError, {}.__contains__, x=2)

Here is the call graph for this function:

Definition at line 14 of file test_call.py.

00014 
00015     def test_varargs1(self):
00016         {}.__contains__(0)

Definition at line 26 of file test_call.py.

00026 
00027     def test_varargs1_ext(self):
00028         {}.__contains__(*(0,))

Definition at line 40 of file test_call.py.

00040 
00041     def test_varargs1_kw(self):
00042         self.assertRaises(TypeError, {}.__contains__, x=2)

Here is the call graph for this function:

Definition at line 17 of file test_call.py.

00017 
00018     def test_varargs2(self):
00019         self.assertRaises(TypeError, {}.__contains__, 0, 1)

Here is the call graph for this function:

Definition at line 29 of file test_call.py.

00029 
00030     def test_varargs2_ext(self):
00031         try:
00032             {}.__contains__(*(1, 2))
00033         except TypeError:
00034             pass
00035         else:
00036             raise RuntimeError

Definition at line 43 of file test_call.py.

00043 
00044     def test_varargs2_kw(self):
00045         self.assertRaises(TypeError, {}.__contains__, x=2, y=2)

Here is the call graph for this function:


The documentation for this class was generated from the following file: